package vcvlcbundletest;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;

import de.clab.osami.conferencing.vlc.ServiceInterfaces.IVideoConference;
import de.clab.osami.conferencing.vlc.ServiceInterfaces.VcControl;



public class Activator implements BundleActivator {

	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#start(org.osgi.framework.BundleContext)
	 */
	public void start(BundleContext context) throws Exception {
		VcControl vc;
		ServiceReference serviceReference = context.getServiceReference(IVideoConference.class.getName());
		if(serviceReference!=null)
		{
			vc = (VcControl) context.getService(serviceReference);
			if(vc!=null)
			{
				new VcGui(vc);
			}
		}
	}

	/*
	 * (non-Javadoc)
	 * @see org.osgi.framework.BundleActivator#stop(org.osgi.framework.BundleContext)
	 */
	public void stop(BundleContext context) throws Exception {
	}

}
