package de.clab.osami.conferencing.vlc.ServiceInterfaces;

/**
 * The Interface VcControl.
 * 
 * @author Christian Thanos
 */
public interface VcControl {

	/**
	 * Start the VC.
	 *
	 * @param ipv4 the IPv4 address the VC will connect to
	 * @return null on success or a string containing an error message on failure
	 */
	public String start(String ipv4);

	/**
	 * Start the VC.
	 *
	 * @return null on success or a string containing an error message on failure
	 */
	public String start();

	/**
	 * Stop the VC.
	 *
	 * @return null on success or a string containing an error message on failure
	 */
	public String stop();

}