package de.clab.osami.conferencing.vlc.config.items;

import java.awt.Dimension;

import org.apache.log4j.Logger;

public class VideoTranscoding extends Transcoding {
	private int frameRate;
	private float scale;
	private Dimension size;
	private final static Logger log = Logger.getLogger( VideoTranscoding.class );
	
	public int getFrameRate() {
		return frameRate;
	}
	public void setFrameRate(int frameRate) {
		this.frameRate = frameRate;
		log.info("Framereate is set to "+frameRate);
	}
	public float getScale() {
		return scale;
	}
	public void setScale(float scale) {
		this.scale = scale;
		log.info("Scale is set to "+scale);
	}
	public Dimension getSize() {
		return size;
	}
	public void setSize(Dimension size) {
		this.size = size;
		log.info("Size is set to "+size.width+"x"+size.height);
	}
	
	
}
