package de.clab.osami.conferencing.vlc.ui;

import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.Panel;

import javax.swing.JButton;
import javax.swing.JPanel;

public class ButtonPanel extends JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private JButton loadButton;
	private JButton saveButton;
	private JButton resetButton;
	private JButton saveAsButton;

	
	public ButtonPanel(Panel parent){
		parent.add(this,BorderLayout.CENTER);
		
		setLayout(new GridLayout(2,2,20,20));
				
		loadButton = new JButton("Load");
		add(loadButton); 
		
		saveButton = new JButton("Save");
		add(saveButton);
		
		resetButton = new JButton("Reset To Default");
		add(resetButton); //place holder
		
		saveAsButton = new JButton("Save As");
		add(saveAsButton);
	}


	public JButton getLoadButton() {
		return loadButton;
	}


	public JButton getSaveButton() {
		return saveButton;
	}


	public JButton getResetButton() {
		return resetButton;
	}


	public JButton getSaveAsButton() {
		return saveAsButton;
	}
	
	
}
