package de.clab.osami.conferencing.vlc.util;

public class Systeminfo {
	public static final String WINDOWS = "Windows";
	public static final String LINUX = "Linux";
	
	public static String getOperatingSystem()
	{
		return System.getProperty("os.name");
	}
	
	public static boolean isWindows()
	{
		return System.getProperty("os.name").equals(WINDOWS);
	}
	
	public static boolean isLinux()
	{
		return System.getProperty("os.name").equals(LINUX);
	}
}
