package de.clab.osami.conferencing.vlc.config.items;

import org.apache.log4j.Logger;

public class AudioTranscoding extends Transcoding{
	private int sampleRate;
	private int channelSize;
	private final static Logger log = Logger.getLogger( AudioTranscoding.class ); 
	
	public int getSampleRate() {
		return sampleRate;
	}
	public void setSampleRate(int sampleRate) {
		this.sampleRate = sampleRate;
		log.info("Audio Sample size is set to "+sampleRate);
	}
	public int getChannelSize() {
		return channelSize;
	}
	public void setChannelSize(int channelSize) {
		this.channelSize = channelSize;
		log.info("Number of audio channels is set to "+channelSize);
	}
}
