package de.clab.osami.conferencing.vlc.config.items;

import org.apache.log4j.Logger;

public class CaptureInfo {
	private String protocol;
	private String device;
	private int caching;
	private boolean enabled;
	private final static Logger log = Logger.getLogger(CaptureInfo.class);
	/**
	 * @return the protocol
	 */
	public String getProtocol() {
		return protocol;
	}

	/**
	 * @param protocol the protocol to set
	 */
	public void setProtocol(String protocol) {
		this.protocol = protocol;
	}

	/**
	 * @return the device
	 */
	public String getDevice() {
		return device;
	}

	/**
	 * @param device the device to set
	 */
	public void setDevice(String device) {
		this.device = device;
	}

	/**
	 * @return the caching
	 */
	public int getCaching() {
		return caching;
	}

	/**
	 * @param caching the caching to set
	 */
	public void setCaching(int caching) {
		this.caching = caching;
		log.info("Capture caching is set to "+caching+" ms");
	}

	/**
	 * @return the enabled
	 */
	public boolean isEnabled() {
		return enabled;
	}

	/**
	 * @param enabled the enabled to set
	 */
	public void setEnabled(boolean enabled) {
		this.enabled = enabled;
	}
	

	
	

}
