package de.clab.osami.conferencing.vlc.test;

import java.awt.BorderLayout;
import java.awt.Canvas;
import java.awt.Color;
import java.awt.Frame;

import uk.co.caprica.vlcj.log.Log;
import uk.co.caprica.vlcj.player.MediaPlayer;
import uk.co.caprica.vlcj.player.MediaPlayerEventAdapter;
import uk.co.caprica.vlcj.player.MediaPlayerFactory;
import uk.co.caprica.vlcj.player.embedded.EmbeddedMediaPlayer;
import de.clab.osami.conferencing.vlc.util.Util;

public class Receiving {
	/**
	 * @param args
	 */
	static String vlc_args[] = {
//			"-vvv"
//		, "--ignore-config"
//            "-I", "dummy",
//			  "--rtp-cache","5000"
//            "v4l2:///dev/video0",
//            "--v4l2-caching", "100",
//            "--sout","'#transcode{vcodec=MJPG,vb=6000,fps=30,scale=1,width=352,height=288,acodec=none}:rtp{dst=131.234.51.2,port=5004,mux=ts}'"
             };
	
	public static void start(String[] args) {
	    MediaPlayerFactory factory = new MediaPlayerFactory(vlc_args);
	    EmbeddedMediaPlayer mediaPlayer = factory.newMediaPlayer(null);
	    Log logger =factory.newLog();
	    
	    //window
	    Frame frame= new Frame("Remote video");
	    frame.setSize(800,600);
	    Canvas videoSurface = new Canvas();
	    videoSurface.setBackground(Color.BLACK);
	    String ip = Util.getLocalIp();

	    frame.setLayout(new BorderLayout());
	    frame.add(videoSurface,BorderLayout.CENTER);
	    frame.setVisible(true);
	    mediaPlayer.setVideoSurface(videoSurface);
	    
	  //  logger.
	    mediaPlayer.addMediaPlayerEventListener(new MediaPlayerEventAdapter() {
	      @Override
		public void finished(MediaPlayer mediaPlayer) {
	        System.exit(0);
	      }
	      @Override
		public void error(MediaPlayer mediaPlayer) {
	        System.exit(1);
	      }
	    });
	    String mrl = "rtp://"+"192.168.1.10"+":5004";
	    String[] options = {":rtp-caching=100",":no-overlay"};

	    mediaPlayer.prepareMedia(mrl, options);
	    System.out.println("Receiver: "+mediaPlayer);
	    

	    
	    mediaPlayer.play();

//	    try {
//			Thread.currentThread().join();
//		} catch (InterruptedException e) {
//			// 
//			e.printStackTrace();
//		}

	}
}
